Bug 131557 - catgets() segfaults when the catalog file is opened fine by catopen()
Summary: catgets() segfaults when the catalog file is opened fine by catopen()
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-02 09:46 UTC by coderaptor
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 09:26:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description coderaptor 2004-09-02 09:46:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
catgets() is giving me a segfault. Here is the bt

#0  0xb735d4a6 in catgets () from /lib/tls/libc.so.6
#1  0x08063407 in CeExtractMsg (cat_id=ERROR_CAT_ID, set_id=1,
msg_id=241)at cate.c:476
#2  0x0806363d in CeErrorMsg (msg_id=241) at cate.c:713
#3  0x0805ccb6 in CheckLicense (prod_id=0, msgbuf=0xbfffa900 "")
    at basekeyver.c:198
#4  0x08058822 in InitTps (action_flag=0) at inittps.c:268
#5  0x08051649 in MRTDBInit () at mrtmgr_db.ec:67
#6  0x08049c8a in main (argc=1, argv=0xbfffac24) at mrtmgr_main.c:75

The catalog is being opened fine - by a call to catopen().

Version-Release number of selected component (if applicable):
glibc-2.3.2-95.3

How reproducible:
Always

Steps to Reproduce:
Reproduces always in my application.

Additional info:

Comment 1 Jakub Jelinek 2004-09-09 08:33:20 UTC
Can you come up with a small testcase that reproduces this?

Comment 2 Jakub Jelinek 2004-10-30 09:26:58 UTC
Please reopen when you have a testcase.  Without that we can't do
anything for it.
Also note that RHEL3 U4 currently includes glibc-2.3.2-95.30, so
you might want to try that too.


Note You need to log in before you can comment on or make changes to this bug.